Bug 133517 - Grip crashes on startup
Grip crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-24 12:43 EDT by Erwan Legrand
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-17 15:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erwan Legrand 2004-09-24 12:43:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
The program crashes as soon as I start it. Here is a stack trace :

(gdb) run
Starting program: /usr/bin/grip
[Thread debugging using libthread_db enabled]
[New Thread -151084928 (LWP 17903)]
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151084928 (LWP 17903)]
0x009d7682 in ?? () from /lib/libgcc_s.so.1
(gdb) thread apply all bt full
 
Thread 1 (Thread -151084928 (LWP 17903)):
#0  0x009d7682 in ?? () from /lib/libgcc_s.so.1
No symbol table info available.
#1  0x001dda7a in gnome_init_cb (ctx=0x97e1450, reason=252, opt=0xfc)
at gnome-init.c:311
No locals.
#2  0x00dc6df1 in invokeCallbacks (con=0x97e1450, table=0x26d8e0,
post=1) at popt.c:56
        opt = (const struct poptOption *) 0x26d8fc
        cb = 0
#3  0x00dc6e16 in invokeCallbacks (con=0x97e1450, table=0x97e04b0,
post=1) at popt.c:51
        opt = (const struct poptOption *) 0x97e04e8
        cb = 0
#4  0x00dc7d2e in poptGetNextOpt (con=0x97e1450) at popt.c:318
        optString = 0x97e1450 "\001"
        chptr = 0x0
        localOptString = 0xdc8a1f
"\203�#\203��)�\213E�\215t$\b\2114$\211D$\004�����\2114$\215\203\233���\211D$\004�\200���\211t$\004\211<$�D���\205�\211�\017\205g����`���\220\220\220\220\220\220\220\220\220U\211�WVS\203�\034�
\001"
        longArg = 0x0
        origOptString = 0x97e1450 "\001"
        aLong = 0
        end = 0xfefdaf1e "/home/elegrand"
        opt = (const struct poptOption *) 0x0
        done = 0
        cb = 0xdc8d8c <_fini+436>
        cbData = (const void *) 0xfefdaf1e
        singleDash = 14455040
#5  0x00d23b58 in gnomelib_parse_args (argc=252, argv=0xfef51954,
popt_flags=252) at gnome-popt.c:86
        retval = 0x97e1450
        nextopt = 252
#6  0x001ddc1a in gnome_init_with_popt_table (app_id=0x806a915 "grip",
app_version=0xfc <Address 0xfc out of bounds>, argc=252, argv=0xfc,
    options=0x8073620, flags=252, return_ctx=0xfef518ac) at
gnome-init.c:530
        ctx = 0x806a915
        appdesc = 0x97d4bb8 "grip options"
#7  0x0804e089 in Cmain (argc=252, argv=0xfef51954) at main.c:159
        pctx = 0x8068eca
        client = (GnomeClient *) 0x0
#8  0x0804dfcb in main (ac=252, av=0xfc) at cppmain.cc:16
No locals.
(gdb)


Version-Release number of selected component (if applicable):
grip-3.0.7-4

How reproducible:
Always

Steps to Reproduce:
1. Start grip
2.
3.
    

Actual Results:  The program crashed.

Additional info:
Comment 1 Bill Nottingham 2004-09-24 14:35:47 EDT
Does the rawhide package work?
Comment 2 Jeremy 2004-10-17 12:13:51 EDT
The grip-3.2.0-3 RPM solves the segfault problem for me.

--jeremy

Note You need to log in before you can comment on or make changes to this bug.